POST
/v1/platform/taxonomy-mappings/previewPOST /v1/platform/taxonomy-mappings/preview
Scopes: platform:taxonomy_mappings:read
Requires scope: platform:taxonomy_mappings:read.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
mappings | TaxonomyMappingEntryUpsert[] | no | |
sample_product_data | object | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
results | PreviewResult[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/platform/taxonomy-mappings/preview', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);